libmspub::MSPUBBlockInfo Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libmspub::MSPUBBlockInfo Struct Reference

`#include <MSPUBTypes.h>`

## Public Member Functions
| MSPUBBlockInfo ()

## Public Attributes
unsigned | id
unsigned | type
unsigned long | startPosition
unsigned long | dataOffset
unsigned long | dataLength
unsigned | data
std::vector< unsigned char > | stringData

## Constructor & Destructor Documentation

## ◆ MSPUBBlockInfo()

libmspub::MSPUBBlockInfo::MSPUBBlockInfo | ( |  | ) |
| inline

## Member Data Documentation

## ◆ data

unsigned libmspub::MSPUBBlockInfo::data

Referenced by libmspub::MSPUBParser::getCharacterStyle(), libmspub::MSPUBParser::getColorIndex(), libmspub::MSPUBParser::getFontIndex(), libmspub::MSPUBParser::getParagraphStyle(), libmspub::MSPUBParser::parseBlock(), libmspub::MSPUBParser::parseBorderArtChunk(), libmspub::MSPUBParser::parseColors(), libmspub::MSPUBParser::parseContentChunkReference(), libmspub::MSPUBParser::parseDocumentChunk(), libmspub::MSPUBParser::parsePageChunk(), libmspub::MSPUBParser::parsePageShapeList(), libmspub::MSPUBParser::parsePaletteEntry(), and libmspub::MSPUBParser::parseShape().

## ◆ dataLength

unsigned long libmspub::MSPUBBlockInfo::dataLength

Referenced by libmspub::MSPUBParser::getColorIndex(), libmspub::MSPUBParser::getFontIndex(), libmspub::MSPUBParser::getParagraphStyle(), libmspub::MSPUBParser::parseBlock(), libmspub::MSPUBParser::parseBorderArtChunk(), libmspub::MSPUBParser::parseContentChunkReference(), libmspub::MSPUBParser::parseContents(), libmspub::MSPUBParser::parseDocumentChunk(), libmspub::MSPUBParser::parseFontChunk(), libmspub::MSPUBParser::parsePageShapeList(), libmspub::MSPUBParser::parsePaletteChunk(), libmspub::MSPUBParser::parsePaletteEntry(), libmspub::MSPUBParser::parseShape(), and libmspub::MSPUBParser::skipBlock().

## ◆ dataOffset

unsigned long libmspub::MSPUBBlockInfo::dataOffset

Referenced by libmspub::MSPUBParser::getColorIndex(), libmspub::MSPUBParser::getFontIndex(), libmspub::MSPUBParser::getParagraphStyle(), libmspub::MSPUBParser::parseBlock(), libmspub::MSPUBParser::parseBorderArtChunk(), libmspub::MSPUBParser::parseContentChunkReference(), libmspub::MSPUBParser::parseContents(), libmspub::MSPUBParser::parseDocumentChunk(), libmspub::MSPUBParser::parseFontChunk(), libmspub::MSPUBParser::parsePageShapeList(), libmspub::MSPUBParser::parsePaletteChunk(), libmspub::MSPUBParser::parsePaletteEntry(), libmspub::MSPUBParser::parseShape(), and libmspub::MSPUBParser::skipBlock().

## ◆ id

unsigned libmspub::MSPUBBlockInfo::id

Referenced by libmspub::MSPUBParser::getCharacterStyle(), libmspub::MSPUBParser::getColorIndex(), libmspub::MSPUBParser::getParagraphStyle(), libmspub::MSPUBParser::parseBlock(), libmspub::MSPUBParser::parseBorderArtChunk(), libmspub::MSPUBParser::parseColors(), libmspub::MSPUBParser::parseContentChunkReference(), libmspub::MSPUBParser::parseContents(), libmspub::MSPUBParser::parseDocumentChunk(), libmspub::MSPUBParser::parseFontChunk(), libmspub::MSPUBParser::parsePageChunk(), libmspub::MSPUBParser::parsePaletteEntry(), and libmspub::MSPUBParser::parseShape().

## ◆ startPosition

unsigned long libmspub::MSPUBBlockInfo::startPosition

Referenced by libmspub::MSPUBParser::parseBlock(), and libmspub::MSPUBParser::parseContents().

## ◆ stringData

std::vector<unsigned char> libmspub::MSPUBBlockInfo::stringData

Referenced by libmspub::MSPUBParser::parseBlock(), libmspub::MSPUBParser::parseFontChunk(), and libmspub::MSPUBParser::parsePageChunk().

## ◆ type

unsigned libmspub::MSPUBBlockInfo::type

Referenced by libmspub::MSPUBParser::getFontIndex(), libmspub::MSPUBParser::getParagraphStyle(), libmspub::MSPUBParser::parseBlock(), libmspub::MSPUBParser::parseContents(), libmspub::MSPUBParser::parsePageShapeList(), and libmspub::MSPUBParser::parsePaletteChunk().

The documentation for this struct was generated from the following file:

- MSPUBTypes.h